

Name:           mpv
Version:        0.38.0
Release:        %mkrel 2
Summary:        Advanced General Purpose Video Player
License:        GPL-2.0+
Group:          Video
Url:            http://mpv.io/
Source0:        https://github.com/mpv-player/mpv/archive/%name-%{version}.tar.xz
Source1:        mpv.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#------------------------------------------------------------------------------------
BuildRequires: lib64alsa2-devel 
BuildRequires: lib64archive-devel
BuildRequires: lib64ass-devel 
BuildRequires: lib64bluray-devel 
BuildRequires: lib64bs2b-devel 
BuildRequires: lib64cdio-devel 
BuildRequires: lib64cdio-paranoia-devel 
BuildRequires: lib64drm-devel
BuildRequires: lib64dvdnav-devel
BuildRequires: lib64dvdread-devel
BuildRequires: lib64enca-devel
BuildRequires: lib64ffmpeg-devel
BuildRequires: lib64guess-devel
BuildRequires: lib64jack-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64lua5.2-devel
BuildRequires: lib64mowgli2-devel
BuildRequires: lib64openal-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64smbclient0-devel
BuildRequires: lib64v4l-devel
BuildRequires: lib64wayland-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64xinerama-devel 
BuildRequires: lib64xkbcommon-devel
BuildRequires: lib64xrandr2-devel
BuildRequires: lib64xrender-devel
BuildRequires: lib64xscrnsaver-devel
BuildRequires: lib64xv-devel
BuildRequires: mesa-devel
BuildRequires: pkgconfig
BuildRequires: python-docutils
BuildRequires: meson
BuildRequires: yasm
BuildRequires: x11-proto-devel
BuildRequires: zlib1-devel
BuildRequires: lib64sixel-devel
BuildRequires: lib64zimg-devel
BuildRequires: lib64placebo-devel
BuildRequires: lib64glfw-devel
#------------------------------------------------------------------------
Requires: lib64mowgli2_0
#temporary
Provides: libmpv.so.1()(64bit)

%description
mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%name
Obsoletes:	%name-devel < %version

%description	devel
Development files for %name.

%prep
%setup -q
%autopatch -p1

%build
export LDFLAGS=" -lSDL -L/usr/lib64/libglvnd/ $LDFLAGS"
CCFLAGS="%{optflags}" \
%meson --auto-features=auto \
       -Dbuild-date=false \
       -Dlibmpv=true \
        -Dcocoa=disabled \
       -Dgl-cocoa=disabled \
       -Dspirv-cross=disabled \
       -Dwin32-threads=disabled \
       -Dhtml-build=enabled \
       -Dopenal=enabled \
       -Dcdda=enabled \
       -Ddvbin=enabled \
       -Ddvdnav=enabled \
       -Dpulse=enabled \
       -Dwayland=enabled \
       -Degl-wayland=enabled \
       -Degl-x11=enabled \
       -Dvaapi-drm=enabled \
       -Dvaapi-wayland=enabled \
       -Dvaapi-x11=enabled \
       -Dvaapi=enabled \
       -Dsdl2=enabled

%meson_build
%install
rm -rf %buildroot
%meson_install

#compatibilty symlink
ln -fs /usr/lib64/libmpv.so.2.3.0 %buildroot/usr/lib64/libmpv.so.1

install -Dm 0644 %SOURCE1 %buildroot/%{_sysconfdir}/mpv/mpv.conf


%files
%defattr(-,root,root)
%{_bindir}
%{_datadir}
%config(noreplace) %{_sysconfdir}/mpv/encoding-profiles.conf
%config(noreplace) %{_sysconfdir}/mpv/mpv.conf
%{_libdir}/*.so.*

%files devel
%{_includedir}
%{_libdir}/*.so
%{_libdir}/pkgconfig

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%posttrans
/sbin/ldconfig

%changelog
* Fri Apr 19 2024 tex - 0.38.0-2pclos2024
- fix symlink for libmpv.so.1

* Thu Apr 18 2024 tex - 0.38.0-1pclos2024
- new version

* Tue Dec 05 2023 tex - 0.37.0-3pclos2023
-  try to fix symlink

* Sat Dec 02 2023 tex - 0.37.0-2pclos2023
- rebuild against updates

* Sat Dec 02 2023 tex - 0.37.0-1pclos2023
- new version

* Thu Aug 03 2023 tex - 0.36.0-2pclos2023
- fix symlink for libmpv.so.1

* Thu Aug 03 2023 tex - 0.36.0-1pclos2023
- new version

